# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Paul

# Used to describe your yaml. Useful if you have multiple files.
description: Default Pizza Tower Template

game: Pizza Tower
requires:
  version: 0.6.1 # Version of Archipelago required for this yaml to work as expected.

Pizza Tower:
  # Game Options
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0
    random-high: 0
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  character:
    # Choose your character!
    peppino: 50
    the_noise: 0
    swap: 0

  toppin_count:
    # Number of toppins shuffled into the item pool.
    # 
    # May be less than expected if the item pool is too small.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 150
    95: 50
    random: 0
    random-low: 0
    random-high: 0

  floor_1_cost:
    # Percentage of Toppins required to fight the Floor 1 Boss.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    11: 50
    random: 0
    random-low: 0
    random-high: 0

  floor_2_cost:
    # Percentage of Toppins required to fight the Floor 2 Boss.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    27: 50
    random: 0
    random-low: 0
    random-high: 0

  floor_3_cost:
    # Percentage of Toppins required to fight the Floor 3 Boss.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    48: 50
    random: 0
    random-low: 0
    random-high: 0

  floor_4_cost:
    # Percentage of Toppins required to fight the Floor 4 Boss.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    69: 50
    random: 0
    random-low: 0
    random-high: 0

  floor_5_cost:
    # Percentage of Toppins required to fight the Floor 5 Boss.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    91: 50
    random: 0
    random-low: 0
    random-high: 0

  treasure_checks:
    # Adds the game's 19 Treasures to the pool as locations.
    'false': 0
    'true': 50

  secret_checks:
    # Adds the game's 57 Secrets to the pool as locations.
    'false': 0
    'true': 50

  srank_checks:
    # Adds the game's 24 S Ranks to the pool as locations.
    # 
    # Obtaining a P Rank in a level will also check its corresponding S Rank location.
    'false': 50
    'true': 0

  prank_checks:
    # Adds the game's 24 P Ranks to the pool as locations.
    'false': 0
    'true': 50

  cheftask_checks:
    # Adds the game's 72 Chef Tasks (achievements) to the pool as locations.
    'false': 50
    'true': 0

  shuffle_boss_keys:
    # On: Shuffle Boss Keys into the item pool.
    # 
    # Off: Keep Boss Keys in their normal spots.
    'false': 50
    'true': 0

  randomize_levels:
    # Shuffle level entrances around the Hub.
    'false': 50
    'true': 0

  randomize_bosses:
    # Shuffle bosses (except Pizzaface) between floors.
    'false': 50
    'true': 0

  randomize_secrets:
    # Shuffle Secrets between levels.
    'false': 50
    'true': 0

  open_world:
    # Unlock all floors immediately, making more levels accessible from the start.
    # 
    # If active, boss keys will be removed from the item pool.
    'false': 50
    'true': 0

  bonus_ladders:
    # Add bonus ladders to Hub to make accessing levels easier.
    # 
    # Floors up to and including the selected floor number are affected.
    # 
    # Set to 0 to disable bonus ladders.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 5
    3: 50
    random: 0
    random-low: 0
    random-high: 0
    disabled: 0 # equivalent to 0

  trap_percentage:
    # Set a percentage of how many filler items are replaced with traps here.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    10: 50
    random: 0
    random-low: 0
    random-high: 0

  jumpscare:
    # Replace the Oktoberfest trap with a jumpscare. Not for the faint of heart!
    # 
    # Does not change the functionality of the trap.
    'false': 0
    'true': 50

  fairly_random:
    # On: The first two levels will have at least two accessible locations each, and the first boss will not require a grab to defeat.
    # 
    # Off: The first two levels and first boss can be anything.
    # 
    # Only applies when Shuffle Level Gates and/or Shuffle Boss Gates are enabled.
    'false': 0
    'true': 50

  difficulty:
    # Determines how strict the randomizer logic will be, and as a result, how difficult your run may be.
    # 
    # Normal: Stricter logic for new players or those looking for a quick, simple run. The randomizer will never expect you to do anything too technical or creative.
    # 
    # Expert: Relaxed logic for those looking for a challenge. The randomizer may expect you to use obscure mechanics or perform precise tricks.
    normal: 50
    expert: 0

  do_move_rando:
    # Determines whether your moves will even be randomized. If disabled, only Toppins, Boss Keys, and filler will appear in the item pool.
    'false': 0
    'true': 50

  move_rando_list:
    # Any move indicated here will be shuffled into the item pool. Any move not indicated here will be useable from the start.
    ['Mach 4', 'Uppercut', 'Superjump', 'Grab', 'Taunt', 'Supertaunt', 'Bodyslam', 'Breakdance', 'Wallclimb', 'Double Jump', 'Rat Kick', 'Spin Attack', 'Wallbounce', 'Tornado', 'Crusher', 'Bomb']

  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 0
    'true': 50

  # Item & Location Options
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with these items.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []
